Gallery Platform API
Reference

List fair portal recipes

Lists the gallery's learned fair-portal recipes, newest first. Filter by portal_domain (and optionally fair_list_id) to find the recipe to replay for the portal the extension is on.

GET
/gallery/fair-recipes

Lists the gallery's learned fair-portal recipes, newest first. Filter by portal_domain (and optionally fair_list_id) to find the recipe to replay for the portal the extension is on.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Query Parameters

portal_domain?string
fair_list_id?string
limit?integer
Range1 <= value <= 100
Default20
cursor?string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "portal_domain": "string",      "fair_list_id": "string",      "version": -9007199254740991,      "field_map": [        {          "source": "string",          "target_ref": "string",          "target_label": "string",          "transform": "string"        }      ],      "upload_steps": [        {          "image_slot": "string",          "target_ref": "string"        }      ],      "submit_step": {        "target_ref": "string",        "confirm": true      },      "confirmed_by": "string",      "learned_at": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}